> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.uniledger.cc/api-reference/eilith-public-rest-api/orders/get-order/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server. # Get an order by ID (includes line items) GET https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/{id} Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/orders/get-order ## Authentication - `Authorization` header (bearer token, required) — API key prefixed with uk_live_ ## Servers - `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default) - `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging) ## Request ### Path parameters - `id` (string, required) ## Response ### 200 Order found - `data` (SalesOrder, optional) ## Errors ### 404 Not Found Error Not found - `any` ## Types ### SalesOrder - `id` (string, optional) - `tenant_id` (string, optional) - `customer_name` (string, optional, nullable) - `customer_email` (string, optional, nullable) - `customer_phone` (string, optional, nullable) - `status` (enum, optional) - Allowed values: `draft`, `confirmed`, `fulfilled`, `cancelled` - `currency_code` (string, optional) - `subtotal` (double, optional) - `tax_total` (double, optional) - `grand_total` (double, optional) - `source` (string, optional) - `sales_order_lines` (list of SalesOrderLine, optional) - `created_at` (datetime, optional) - `updated_at` (datetime, optional) ### SalesOrderLine - `id` (string, optional) - `sales_order_id` (string, optional) - `line_no` (integer, optional) - `inventory_item_id` (string, optional, nullable) - `description` (string, optional, nullable) - `quantity` (double, optional) - `unit_price` (double, optional) - `discount_pct` (double, optional) - `tax_pct` (double, optional) - `total` (double, optional) ## Examples **Response** ```json { "data": { "id": "string", "tenant_id": "string", "customer_name": "string", "customer_email": "string", "customer_phone": "string", "status": "draft", "currency_code": "string", "subtotal": 1.1, "tax_total": 1.1, "grand_total": 1.1, "source": "string", "sales_order_lines": [ { "id": "string", "sales_order_id": "string", "line_no": 1, "inventory_item_id": "string", "description": "string", "quantity": 1.1, "unit_price": 1.1, "discount_pct": 1.1, "tax_pct": 1.1, "total": 1.1 } ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } } ``` **SDK Code** ```python import requests url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```